public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/cracklib/
Date: Tue,  5 Mar 2019 09:16:31 +0000 (UTC)	[thread overview]
Message-ID: <1551777348.c90c91387e66c5f7a105dbf571994c467dbe5da3.polynomial-c@gentoo> (raw)

commit:     c90c91387e66c5f7a105dbf571994c467dbe5da3
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  5 09:14:08 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Mar  5 09:15:48 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c90c9138

sys-libs/cracklib: Bump to version 2.9.7

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-libs/cracklib/Manifest              |   1 +
 sys-libs/cracklib/cracklib-2.9.7.ebuild | 104 ++++++++++++++++++++++++++++++++
 2 files changed, 105 insertions(+)

diff --git a/sys-libs/cracklib/Manifest b/sys-libs/cracklib/Manifest
index 3efe995f608..18189ac7299 100644
--- a/sys-libs/cracklib/Manifest
+++ b/sys-libs/cracklib/Manifest
@@ -1 +1,2 @@
 DIST cracklib-2.9.6.tar.gz 642402 BLAKE2B 4d7a0d12d1e7101c82d03f76e073407481078747c283fe3251f947542017fff03fbc5e98505c6a7a8987a2bbcea99dab558c15b1eb8fd16755859ce5a4440ed2 SHA512 2b09672e5b412d670e7ed911ebf0c0023fe2901ea05c9c02eefb7a58a13cddbc27a65d75bb20be9f8cebf4c90a9a56dfe1a3b656dff62b1d6048f5376e671786
+DIST cracklib-2.9.7.tar.bz2 603630 BLAKE2B 81a45b2fb9f34da84d4fb864e1a9f67a4b22c246f1e4db1c599a555f79d560a04d95afb01a89cd3a2e0936f0e8fc51ff5ada26098c24d7af0777a94f51b82bbd SHA512 f6bf65ac092ba46ff78ddbc115692260fb76dc71219cd679d2ea935ebfb9e709fbb30259a7406743ed00dbdc415335b3ac9d9fcba1d204ea36d5eb96bf1333a2

diff --git a/sys-libs/cracklib/cracklib-2.9.7.ebuild b/sys-libs/cracklib/cracklib-2.9.7.ebuild
new file mode 100644
index 00000000000..d436f1694d5
--- /dev/null
+++ b/sys-libs/cracklib/cracklib-2.9.7.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
+DISTUTILS_OPTIONAL=1
+
+inherit distutils-r1 libtool multilib-minimal toolchain-funcs
+
+MY_P=${P/_}
+DESCRIPTION="Password Checking Library"
+HOMEPAGE="https://github.com/cracklib/cracklib/"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~m68k-mint"
+IUSE="nls python static-libs zlib"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )
+	zlib? ( >=sys-libs/zlib-1.2.8-r1:=[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+	python? (
+		dev-python/setuptools[${PYTHON_USEDEP}]
+	)"
+
+S="${WORKDIR}/${MY_P}"
+
+do_python() {
+	multilib_is_native_abi || return 0
+	use python || return 0
+	pushd python > /dev/null || die
+	distutils-r1_src_${EBUILD_PHASE}
+	popd > /dev/null
+}
+
+pkg_setup() {
+	# workaround #195017
+	if has unmerge-orphans ${FEATURES} && has_version "<${CATEGORY}/${PN}-2.8.10" ; then
+		eerror "Upgrade path is broken with FEATURES=unmerge-orphans"
+		eerror "Please run: FEATURES=-unmerge-orphans emerge cracklib"
+		die "Please run: FEATURES=-unmerge-orphans emerge cracklib"
+	fi
+}
+
+src_prepare() {
+	eapply_user
+	elibtoolize #269003
+	do_python
+}
+
+multilib_src_configure() {
+	local myeconfargs=(
+		# use /usr/lib so that the dictionary is shared between ABIs
+		--with-default-dict='/usr/lib/cracklib_dict'
+		--without-python
+		$(use_enable nls)
+		$(use_enable static-libs static)
+	)
+	export ac_cv_header_zlib_h=$(usex zlib)
+	export ac_cv_search_gzopen=$(usex zlib -lz no)
+	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+	default
+	do_python
+}
+
+multilib_src_test() {
+	# Make sure we load the freshly built library
+	LD_LIBRARY_PATH="${BUILD_DIR}/lib/.libs" do_python
+}
+
+python_test() {
+	${EPYTHON} -m unittest test_cracklib || die "Tests fail with ${EPYTHON}"
+}
+
+multilib_src_install() {
+	default
+	# move shared libs to /
+	gen_usr_ldscript -a crack
+
+	do_python
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${ED}" -name "*.la" -delete || die
+	rm -r "${ED%/}"/usr/share/cracklib || die
+
+	insinto /usr/share/dict
+	doins dicts/cracklib-small
+}
+
+pkg_postinst() {
+	if [[ ${ROOT} == "/" ]] ; then
+		ebegin "Regenerating cracklib dictionary"
+		create-cracklib-dict "${EPREFIX}"/usr/share/dict/* > /dev/null
+		eend $?
+	fi
+}


             reply	other threads:[~2019-03-05  9:16 UTC|newest]

Thread overview: 87+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-03-05  9:16 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-23 14:21 [gentoo-commits] repo/gentoo:master commit in: sys-libs/cracklib/ Arthur Zamarin
2025-02-23 12:22 Jakov Smolić
2025-02-23 12:22 Jakov Smolić
2025-02-23 12:22 Jakov Smolić
2025-02-23 12:22 Jakov Smolić
2025-02-23  5:31 Sam James
2025-02-23  5:31 Sam James
2024-12-27 13:38 Sam James
2024-10-30 22:09 Sam James
2024-10-13 11:06 Sam James
2024-10-10 11:04 Arthur Zamarin
2024-10-09  0:06 Jakov Smolić
2024-10-05 13:58 Arthur Zamarin
2024-10-05 12:10 Arthur Zamarin
2024-10-05 12:03 Arthur Zamarin
2024-10-05 11:12 Sam James
2024-08-29  2:10 Sam James
2023-07-13 17:44 Mike Gilbert
2023-06-01  3:29 Sam James
2023-04-19 11:07 Sam James
2023-04-19 10:16 Arthur Zamarin
2023-04-19 10:16 Arthur Zamarin
2023-04-19  9:49 Sam James
2023-04-19  9:49 Sam James
2023-04-19  9:45 Sam James
2023-04-19  9:43 Sam James
2023-04-19  9:43 Sam James
2023-04-02 21:39 Sam James
2023-03-16 22:01 Sam James
2022-12-26  8:35 Sam James
2022-11-18  3:13 Sam James
2022-11-18  3:13 Sam James
2022-11-18  3:13 Sam James
2022-11-18  3:13 Sam James
2022-11-18  3:13 Sam James
2022-11-18  3:13 Sam James
2022-11-18  3:13 Sam James
2022-11-18  3:13 Sam James
2022-09-05  1:06 Sam James
2022-05-05  2:40 WANG Xuerui
2021-05-29 19:03 David Seifert
2021-05-23 13:57 Michał Górny
2021-05-09 12:53 David Seifert
2021-01-06 15:35 Fabian Groffen
2020-12-28 17:27 Mike Gilbert
2020-12-27 18:20 Fabian Groffen
2020-05-07 17:58 Michał Górny
2019-12-09  3:05 Matt Turner
2019-12-03 10:21 Agostino Sarubbo
2019-12-02  9:56 Mikle Kolyada
2019-12-02  9:56 Mikle Kolyada
2019-12-02  9:56 Mikle Kolyada
2019-12-02  9:56 Mikle Kolyada
2019-12-02  0:19 Aaron Bauman
2019-12-01 15:38 Thomas Deutschmann
2019-12-01 14:31 Agostino Sarubbo
2019-12-01 14:01 Sergei Trofimovich
2019-12-01 13:56 Sergei Trofimovich
2019-12-01 11:42 Sergei Trofimovich
2019-12-01 11:35 Sergei Trofimovich
2019-11-30 15:04 Thomas Deutschmann
2019-05-04 22:19 Andreas K. Hüttel
2019-05-04 11:16 Mikle Kolyada
2019-02-23 11:07 Lars Wendler
2017-05-29 18:45 Mike Gilbert
2017-05-29 18:45 Mike Gilbert
2017-05-29 18:09 Mike Gilbert
2017-05-26 22:54 David Seifert
2017-01-29 20:14 Fabian Groffen
2016-12-07  8:32 Mike Frysinger
2016-12-07  8:32 Mike Frysinger
2016-09-29 13:28 Agostino Sarubbo
2016-09-29 12:35 Agostino Sarubbo
2016-09-29  9:35 Agostino Sarubbo
2016-09-29  8:40 Agostino Sarubbo
2016-09-24 19:18 Markus Meier
2016-09-19 13:32 Jeroen Roovers
2016-09-16 17:15 Tobias Klausmann
2016-09-16  8:39 Agostino Sarubbo
2016-06-04  4:52 Markus Meier
2016-05-27 12:46 Lars Wendler
2016-05-26 20:05 Lars Wendler
2016-05-25  6:29 Matt Turner
2016-05-25  5:25 Jeroen Roovers
2015-08-19  2:43 Mike Frysinger
2015-08-19  2:43 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1551777348.c90c91387e66c5f7a105dbf571994c467dbe5da3.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox